<div class="text-right" *ngIf="!showError">
  <span>{{"HEADING.language"|translate}} </span>
  <select name="" id="" #ref (change)="switchLanguage($event.target.value)">
    <option value="en">English</option>
    <option value="fr">French</option>
  </select>
</div>
<!-- <div class="text-right">
      <span>Language </span>
      <select  #ref (change)="translate.use(ref.value)" >
        <option *ngFor="let Lang of translate.getLangs()" [value]="Lang" >{{Lang}}</option>
      </select>
    </div> -->

<!-- <div class="float-right mb-2">
      <select class="form-contro" style="width: 40px;" [(ngModel)]="selectLang" name="selectLang" (change)="switchLanguage()">
          la
          <option *ngFor="let lang of TransLang" value="{{lang}}">{{ lang }}</option>
          </select>
    </div> -->


<div class="row container margin" *ngIf="!showError">
  <div class="col-sm-3 ">
    <!-- <app-friends></app-friends> -->
    <app-form-friends></app-form-friends>
  </div>
  <div class="col-sm-9">
    <router-outlet></router-outlet>
  </div>
</div>

<div class="text center mt-5"  *ngIf="showError">
<h1>404 Error  Invalid Request</h1>
</div>